## calamares 3.3.9

=== CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2017 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
###
#
#   Calamares is Free Software: see the License-Identifier above.
#
#   Individual files may have different licenses (like the CMake
#   infrastructure, which is BSD-2-Clause licensed). Check the SPDX
#   identifiers in each file.
#
###
#
# Generally, this CMakeLists.txt will find all the dependencies for Calamares
# and complain appropriately. See below (later in this file) for CMake-level
# options. There are some "secret" options as well:
#
#   SKIP_MODULES    : a space or semicolon-separated list of directory names
#                     under src/modules that should not be built.
#   USE_<foo>       : fills in SKIP_MODULES for modules called <foo>-<something>.
#   WITH_<foo>      : try to enable <foo> (these usually default to ON). For
#                     a list of WITH_<foo> grep CMakeCache.txt after running
#                     CMake once. These affect the ABI offered by Calamares.
#                       - PYBIND11 (use bundled pybind11, default ON, needs WITH_PYTHON)
#                       - PYTHON (enable Python Job modules, default ON if Python is found)
#                       - QML (enable QML UI View modules, default ON)
#                       - QT6 (use Qt6 rather than Qt5, default to OFF)
#                     The WITH_* options affect the ABI of Calamares: you must
#                     build (C++) modules for Calamares with the same WITH_*
#                     settings, or they may not load at all.
#   BUILD_<foo>     : choose additional things to build
#                       - APPDATA (use AppData in packagechooser, requires QtXml)
#                       - APPSTREAM (use AppStream in packagechooser, requires libappstream-qt)
#                       - BUILD_CRASH_REPORTING (uses KCrash, rather than Calamares internal, for crash reporting)
#                       - SCHEMA_TESTING (requires Python, see ci/configvalidator.py)
#                       - TESTING (standard CMake option)
#   DEBUG_<foo>     : special developer flags for debugging.
#   PYTHONLIBS_VERSION : if set on the command-line, use a specific Python version
#
# Example usage:
#
#   cmake . -DSKIP_MODULES="partition luksbootkeycfg"
#
# To obtain the version number of calamares, run CMake in script mode, e.g.
#   cmake -P CMakeLists.txt

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(CALAMARES_VERSION 3.3.9)
set(CALAMARES_RELEASE_MODE ON) # Set to ON during a release

if(CMAKE_SCRIPT_MODE_FILE)
    include(${CMAKE_CURRENT_LIST_DIR}/CMakeModules/ExtendedVersion.cmake)
    set(CMAKE_SOURCE_DIR ${CMAKE_CURRENT_LIST_DIR})
    extend_version( ${CALAMARES_VERSION} ${CALAMARES_RELEASE_MODE}  _vshort _vlong )
    message("${_vlong}")
    return()
endif()

# Massage the version for CMake if there is a version-suffix
string(REGEX REPLACE "-.*" "" CALAMARES_VERSION_SHORT "${CALAMARES_VERSION}")
# And preserve the original version (suffix and all) because project() overwrites
# .. but if we're doing non-release builds, this gets replaced with git versioning.
set(CALAMARES_VERSION_LONG "${CALAMARES_VERSION}")

project(CALAMARES VERSION ${CALAMARES_VERSION_SHORT} LANGUAGES C CXX HOMEPAGE_URL "https://calamares.io/")

if(NOT CALAMARES_RELEASE_MODE AND CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message(FATAL_ERROR "Do not build development versions in the source-directory.")
endif()
# Calamares in the 3.3 series promises ABI compatbility, so it sets a
# .so-version equal to the series number. We use ci/abicheck.sh to
# keep track of this. Note that the **alpha** releases also have
# such an .so-version, but are not ABI-stable yet.
set(CALAMARES_SOVERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")

### OPTIONS
#
option(INSTALL_POLKIT "Install Polkit configuration" ON)
option(INSTALL_COMPLETION "Install shell completions" OFF)
option(INSTALL_CONFIG "Install configuration files" OFF)
# When adding WITH_* that affects the ABI offered by libcalamares,
# also update libcalamares/CalamaresConfig.h.in
option(WITH_PYBIND11 "Use bundled pybind11 instead of Boost::Python" ON)
option(WITH_PYTHON "Enable Python modules API." ON)
option(WITH_QML "Enable QML UI options." ON)
option(WITH_QT6 "Use Qt6 instead of Qt5" OFF)
#
# Additional parts to build that do not affect ABI
option(BUILD_SCHEMA_TESTING "Enable schema-validation-tests" ON)
# Options for the calamares executable
option(BUILD_CRASH_REPORTING "Enable crash reporting with KCrash." ON)

# Possible debugging flags are:
#  - DEBUG_TIMEZONES draws latitude and longitude lines on the timezone
#    widget and enables chatty debug logging, for dealing with the timezone
#    location database.
#  - DEBUG_FILESYSTEMS does extra logging and checking when looking at
#    partition configuration. Lists known KPMCore FS types.
#  - DEBUG_PARTITION_UNSAFE (see partition/CMakeLists.txt)
#  - DEBUG_PARTITION_BAIL_OUT (see partition/CMakeLists.txt)

# Special handling for Python versions:
#  - If you set PYTHONLIBS_VERSION on the command-line, then
#    that **exact** version will be searched for, and no other.
#  - If you do not set PYTHONLIBS_VERSION on the command-line,
#    any suitable version will be found -- but this can fail if
#    you have multiple Python versions installed, only some of
#    which include the development headers.

### USE_*
#
# By convention, when there are multiple modules that implement similar
# functionality, and it only makes sense to have **at most one** of them
# enabled at any time, those modules are named <foo>-<implementation>.
# For example, services-systemd and services-openrc.
#
# Setting up SKIP_MODULES to ignore "the ones you don't want" can be
# annoying and error-prone (e.g. if a new module shows up). The USE_*
# modules provide a way to do automatic selection. To pick exactly
# one of the implementations from group <foo>, set USE_<foo> to the
# name of the implementation. If USE_<foo> is unset, or empty, then
# all the implementations are enabled (this just means they are
# **available** to `settings.conf`, not that they are used).
#
# To explicitly disable a set of modules, set USE_<foo>=none
# (e.g. the literal string none), which won't match any of the
# modules but is handled specially.
#
# The following USE_* functionalities are available:
#  - *services* picks one of the two service-configuration modules,
#    for either systemd or openrc. This defaults to empty so that
#    **both** modules are available.
set(USE_services "" CACHE STRING "Select the services module to use")

### Calamares application info
#
set(CALAMARES_ORGANIZATION_NAME "Calamares")
set(CALAMARES_ORGANIZATION_DOMAIN "github.com/calamares")
set(CALAMARES_APPLICATION_NAME "Calamares")
set(CALAMARES_DESCRIPTION_SUMMARY "The distribution-independent installer framework")

### Transifex (languages) info
#
# complete = 100% translated,
# good = nearly complete (use own judgement, right now >= 75%)
# ok = incomplete (more than 25% untranslated, at least 5% translated),
# incomplete = <5% translated, placeholder in tx; these are not included.
#
# Language en (source language) is added later. It isn't listed in
# Transifex either. Get the list of languages and their status
# from https://app.transifex.com/calamares/calamares/ , or (preferably)
# use ci/txstats.py to automatically check.
#
# When adding a new language, take care that it is properly loaded
# by the translation framework. Languages with alternate scripts
# (sr@latin in particular) or location (ca@valencia) need special
# handling in libcalamares/locale/Translation.h .
#
# NOTE: move ie (Interlingue) to _ok once Qt supports it.
# NOTE: update these lines by running `txstats.py`, or for full automation
#       `txstats.py -e`. See also
#
# Total 80 languages
set( _tx_complete de en es_AR fi_FI hr hu ja lt tr_TR uk zh_TW )
set( _tx_good az az_AZ be bg ca cs_CZ es fr fur he hi is it_IT ko
    pl pt_BR pt_PT ru si sq sv zh_CN )
set( _tx_ok ar as ast bn ca@valencia da el en_GB eo es_MX et eu fa
    gl id ka ml mr nb nl oc ro sk sl sr sr@latin tg th vi )
set( _tx_incomplete bqi es_PR gu ie ja-Hira kk kn lo lv mk ne_NP
    ro_RO ta_IN te ur uz zh zh_HK )
# Total 80 languages

### Required versions
#
# See DEPENDENCIES section below.

# The default build is with Qt5, but that is increasingly not the
# version installed-by-default on Linux systems. Upgrade the default
# if Qt5 isn't available but Qt6 is. This also saves messing around
# with special CMake flags for every script (e.g. ci/RELEASE.sh and
# ci/abicheck.sh).
if(NOT WITH_QT6)
    find_package(Qt5Core QUIET)
    if(NOT TARGET Qt5::Core)
        find_package(Qt6Core QUIET)
        if(TARGET Qt6::Core)
            message(STATUS "Default Qt version (Qt5) not found, upgrading build to Qt6")
            set(WITH_QT6 ON)
        endif()
    endif()
endif()
if(WITH_QT6)
    message(STATUS "Building Calamares with Qt6")
    set(qtname "Qt6")
    set(kfname "KF6")
    set(QT_VERSION 6.5.0)
    set(ECM_VERSION 5.240)
    set(KF_VERSION 5.240) # KDE Neon weirdness
    # API that was deprecated before Qt 5.15 causes a compile error
    add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x060400)
    # Something to add to filenames for this specific Qt version
    set(QT_VERSION_SUFFIX "-qt6")
else()
    message(STATUS "Building Calamares with Qt5")
    set(qtname "Qt5")
    set(kfname "KF5")
    set(QT_VERSION 5.15.0)
    set(ECM_VERSION 5.78)
    set(KF_VERSION 5.78)
    # API that was deprecated before Qt 5.15 causes a compile error
    add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=0x050f00)
    # Something to add to filenames for this specific Qt version
    set(QT_VERSION_SUFFIX "")
endif()

set(BOOSTPYTHON_VERSION 1.72.0)
if(DEFINED PYTHONLIBS_VERSION)
    set(PYTHONLIBS_EXTRA "EXACT")
else()
    set(PYTHONLIBS_VERSION 3.6)
    set(PYTHONLIBS_EXTRA "")
endif()
set(YAMLCPP_VERSION 0.5.1)

### CMAKE SETUP
#
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeModules")

# Enable IN_LIST
cmake_policy(SET CMP0057 NEW)
# Let ``AUTOMOC`` and ``AUTOUIC`` process ``GENERATED`` files.
cmake_policy(SET CMP0071 NEW)
# Recognize more macros to trigger automoc
list(APPEND CMAKE_AUTOMOC_MACRO_NAMES
        "K_PLUGIN_FACTORY_WITH_JSON"
        "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
        "K_EXPORT_PLASMA_RUNNER"
)

# CMake Modules
include(CMakePackageConfigHelpers)
include(CTest)
include(FeatureSummary)

# Calamares Modules
include(CMakeColors)

### C++ SETUP
#
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror=return-type")
set(CMAKE_CXX_FLAGS_DEBUG "-Og -g ${CMAKE_CXX_FLAGS_DEBUG}")
set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os -DNDEBUG")
set(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
set(CMAKE_C_FLAGS_DEBUG "-Og -g")
set(CMAKE_C_FLAGS_MINSIZEREL "-Os -DNDEBUG")
set(CMAKE_C_FLAGS_RELEASE "-O3 -DNDEBUG")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g")

set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined -Wl,--fatal-warnings ${CMAKE_SHARED_LINKER_FLAGS}")

# If no build type is set, pick a reasonable one
if(NOT CMAKE_BUILD_TYPE)
    if(CALAMARES_RELEASE_MODE)
        set(CMAKE_BUILD_TYPE "RelWithDebInfo")
    else()
        set(CMAKE_BUILD_TYPE "Debug")
    endif()
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    message(STATUS "Found Clang ${CMAKE_CXX_COMPILER_VERSION}, setting up Clang-specific compiler flags.")

    # Clang warnings: doing *everything* is counter-productive, since it warns
    # about things which we can't fix (e.g. C++98 incompatibilities, but
    # Calamares is C++17).
    foreach(
        CLANG_WARNINGS
        -Weverything
        -Wno-c++98-compat
        -Wno-c++98-compat-pedantic
        -Wno-padded

=== debian/changelog ===
calamares (3.3.9-0ubuntu2) plucky; urgency=medium

  * Do not build with QtWebEngines on architectures that do not support it.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 29 Oct 2024 19:01:21 -0500

calamares (3.3.9-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 15 Oct 2024 20:44:54 -0500

calamares (3.3.8-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Jul 2024 12:16:19 -0500

=== debian/control ===
Source: calamares
Section: utils
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               cryptsetup <!nocheck>,
               debhelper-compat (= 13),
               gettext,
               libappstreamqt-dev,
               libatasmart-dev,
               libboost-python-dev,
               libicu-dev,
               extra-cmake-modules,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6kio-dev,
               libkf6package-dev,
               libkf6parts-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkpmcore-dev (>= 24.08),
               libparted-dev,
               libplasma-dev,
               libpolkit-qt6-1-dev,
               libpwquality-dev,
               libyaml-cpp-dev,
               os-prober,
               pkgconf,
               pkg-kde-tools,
               pkexec,
               python3-all-dev,
               python3-yaml,
               python3-jsonschema,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev <amd64 arm64 armhf>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/calamares/calamares
Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-packaging/
Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git

Package: calamares
Architecture: linux-any
Depends: os-prober, util-linux-extra, ${misc:Depends}, ${shlibs:Depends}
Recommends: btrfs-progs, squashfs-tools
Description: distribution-independent installer framework
 Calamares is a distribution-independent installer framework.
 .
 It provides a graphical installer that can be used with nearly
 any distribution. This package is suitable for live media on
 Debian-based systems, and won't be of any particular use on
 an already installed system.
 .
 You will likely want to provide your own config files to match
 your distribution, reading the Calamares documentation will guide
 you through that process.

## calamares 3.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(CALAMARES_VERSION 3.3.9)
+set(CALAMARES_VERSION 3.3.12)
 set(CALAMARES_RELEASE_MODE ON) # Set to ON during a release
 
 if(CMAKE_SCRIPT_MODE_FILE)

=== modules/keyboard/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#

calamares_add_plugin(keyboard
    TYPE viewmodule
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        Config.cpp
        KeyboardViewStep.cpp
        KeyboardPage.cpp
        KeyboardLayoutModel.cpp
        SetKeyboardLayoutJob.cpp
        keyboardwidget/keyboardglobal.cpp
        keyboardwidget/keyboardpreview.cpp
    UI
        KeyboardPage.ui
    RESOURCES
        keyboard.qrc
    SHARED_LIB
    LINK_LIBRARIES
        ${qtname}::DBus
)

calamares_add_test(keyboardtest SOURCES Tests.cpp SetKeyboardLayoutJob.cpp RESOURCES keyboard.qrc)

=== modules/luksbootkeyfile/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
calamares_add_plugin(luksbootkeyfile
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        LuksBootKeyFileJob.cpp
    SHARED_LIB
)

calamares_add_test(luksbootkeyfiletest SOURCES Tests.cpp LuksBootKeyFileJob.cpp)

=== modules/luksopenswaphookcfg/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2021 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#

# Because LUKS Open Swap Hook (Job) is such a mouthful, we'll
# use LOSH all over the place as a shorthand.
calamares_add_plugin(luksopenswaphookcfg
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        LOSHJob.cpp
    SHARED_LIB
)

calamares_add_test(luksopenswaphooktest SOURCES LOSHJob.cpp Tests.cpp)

=== modules/partition/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#

# When debugging the partitioning widget, or experimenting, you may
# want to allow unsafe partitioning choices (e.g. doing things to the
# current disk). Set DEBUG_PARTITION_UNSAFE to allow that (it turns off
# some filtering of devices). If you **do** allow unsafe partitioning,
# it will error out at runtime unless you **also** switch **off**
# DEBUG_PARTITION_BAIL_OUT, at which point you are welcome to shoot
# yourself in the foot.
#
# Independently, DEBUG_PARTITION_SKIP will not do the actual partitioning
# through KPMCore, but it **will** save the global storage setup as if
# it has done the partitioning. This is going to confuse subsequent
# modules since the partitions on disk won't match GS, but it can be
# useful for debugging simulated installations that don't need to
# mount the target filesystems.
option(DEBUG_PARTITION_UNSAFE "Allow unsafe partitioning choices." OFF)
option(DEBUG_PARTITION_BAIL_OUT "Unsafe partitioning will error out on exec." ON)
option(DEBUG_PARTITION_SKIP "Don't actually do any partitioning." OFF)

# This is very chatty, useful mostly if you don't know what KPMCore offers.
option(DEBUG_FILESYSTEMS "Log all available Filesystems from KPMCore." OFF)

include_directories(${CMAKE_SOURCE_DIR}) # For 3rdparty

set(_partition_defs)
if(DEBUG_PARTITION_UNSAFE)
    if(DEBUG_PARTITION_BAIL_OUT)
        list(APPEND _partition_defs DEBUG_PARTITION_BAIL_OUT)
    endif()
    list(APPEND _partition_defs DEBUG_PARTITION_UNSAFE)
endif()
if(DEBUG_FILESYSTEMS)
    list(APPEND _partition_defs DEBUG_FILESYSTEMS)
endif()
if(DEBUG_PARTITION_SKIP)
    list(APPEND _partition_defs DEBUG_PARTITION_SKIP)
endif()

include(KPMcoreHelper)

if(KPMcore_FOUND)
    include_directories(${PROJECT_BINARY_DIR}/src/libcalamaresui)

    add_subdirectory(tests)

    calamares_add_plugin(partition
        TYPE viewmodule
        EXPORT_MACRO PLUGINDLLEXPORT_PRO
        SOURCES
            Config.cpp
            PartitionViewStep.cpp

            core/BootLoaderModel.cpp
            core/ColorUtils.cpp
            core/DeviceList.cpp
            core/DeviceModel.cpp
            core/KPMHelpers.cpp
            core/OsproberEntry.cpp
            core/PartitionActions.cpp
            core/PartitionCoreModule.cpp
            core/PartitionInfo.cpp
            core/PartitionLayout.cpp
            core/PartitionModel.cpp
            core/PartUtils.cpp
            gui/BootInfoWidget.cpp
            gui/ChoicePage.cpp
            gui/CreatePartitionDialog.cpp
            gui/CreateVolumeGroupDialog.cpp
            gui/DeviceInfoWidget.cpp
            gui/EditExistingPartitionDialog.cpp
            gui/EncryptWidget.cpp
            gui/ListPhysicalVolumeWidgetItem.cpp
            gui/PartitionPage.cpp
            gui/PartitionBarsView.cpp
            gui/PartitionDialogHelpers.cpp
            gui/PartitionLabelsView.cpp
            gui/PartitionSizeController.cpp
            gui/PartitionSplitterWidget.cpp
            gui/ResizeVolumeGroupDialog.cpp
            gui/ScanningDialog.cpp
            gui/VolumeGroupBaseDialog.cpp
            jobs/AutoMountManagementJob.cpp
            jobs/ChangeFilesystemLabelJob.cpp
            jobs/ClearMountsJob.cpp
            jobs/ClearTempMountsJob.cpp
            jobs/CreatePartitionJob.cpp
            jobs/CreatePartitionTableJob.cpp
            jobs/CreateVolumeGroupJob.cpp
            jobs/DeactivateVolumeGroupJob.cpp
            jobs/DeletePartitionJob.cpp
            jobs/FillGlobalStorageJob.cpp
            jobs/FormatPartitionJob.cpp
            jobs/PartitionJob.cpp
            jobs/RemoveVolumeGroupJob.cpp
            jobs/ResizePartitionJob.cpp
            jobs/ResizeVolumeGroupJob.cpp
            jobs/SetPartitionFlagsJob.cpp
        UI
            gui/ChoicePage.ui
            gui/CreatePartitionDialog.ui
            gui/CreatePartitionTableDialog.ui
            gui/EditExistingPartitionDialog.ui
            gui/EncryptWidget.ui
            gui/PartitionPage.ui
            gui/VolumeGroupBaseDialog.ui
        LINK_PRIVATE_LIBRARIES
            calamares::kpmcore
            ${kfname}::CoreAddons
        COMPILE_DEFINITIONS ${_partition_defs}
        SHARED_LIB
    )
else()
    if(NOT KPMcore_FOUND)
        calamares_skip_module( "partition (missing suitable KPMcore)" )
    else()
        calamares_skip_module( "partition (missing dependencies for KPMcore)" )
    endif()
endif()

=== src/libcalamares/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#

#
# libcalamares is the non-GUI part of Calamares, which includes handling
# translations, configurations, logging, utilities, global storage, and
# (non-GUI) jobs.
#

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CalamaresConfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/CalamaresConfig.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CalamaresVersion.h.in ${CMAKE_CURRENT_BINARY_DIR}/CalamaresVersion.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CalamaresVersionX.h.in ${CMAKE_CURRENT_BINARY_DIR}/CalamaresVersionX.h)

# Map the available translations names into a suitable constexpr list
# of names in C++. This gets us Calamares::Locale::availableLanguages,
# a QStringList of names.
set(_names_tu
    "
#ifndef CALAMARES_TRANSLATIONS_H
#define CALAMARES_TRANSLATIONS_H
#include <QStringList>
namespace {
static const QStringList availableLanguageList{
"
)
foreach(l ${CALAMARES_TRANSLATION_LANGUAGES})
    string(APPEND _names_tu "\"${l}\",\n")
endforeach()
string(APPEND _names_tu "};\n} // namespace\n#endif\n\n")
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/CalamaresTranslations.cc "${_names_tu}")

# Some implementation details are compiled twice, because
# we want them in the library with visibility("hidden")
# but also need them in tests.
set(_geoip_src
    geoip/GeoIPFixed.cpp
    geoip/GeoIPJSON.cpp
)

add_library(
    calamares
    SHARED
    CalamaresAbout.cpp
    CppJob.cpp
    GlobalStorage.cpp
    Job.cpp
    JobExample.cpp
    JobQueue.cpp
    ProcessJob.cpp
    Settings.cpp
    # GeoIP services
    geoip/Interface.cpp
    ${_geoip_src}
    geoip/Handler.cpp
    # Locale-data service
    locale/Global.cpp
    locale/Lookup.cpp
    locale/TimeZone.cpp
    locale/TranslatableConfiguration.cpp
    locale/TranslatableString.cpp
    locale/Translation.cpp
    locale/TranslationsModel.cpp
    # Modules
    modulesystem/Config.cpp
    modulesystem/Descriptor.cpp
    modulesystem/InstanceKey.cpp
    modulesystem/Module.cpp
    modulesystem/Preset.cpp
    modulesystem/RequirementsChecker.cpp
    modulesystem/RequirementsModel.cpp
    # Network service
    network/Manager.cpp
    # Packages service
    packages/Globals.cpp
    # Partition service
    partition/Global.cpp
    partition/Mount.cpp
    partition/PartitionSize.cpp
    partition/Sync.cpp
    # Utility service
    utils/CommandList.cpp
    utils/Dirs.cpp
    utils/Entropy.cpp
    utils/Logger.cpp
    utils/Permissions.cpp
    utils/PluginFactory.cpp
    utils/Retranslator.cpp
    utils/Runner.cpp
    utils/String.cpp
    utils/StringExpander.cpp
    utils/System.cpp
    utils/UMask.cpp
    utils/Variant.cpp
    utils/Yaml.cpp
)

set_target_properties(
    calamares
    PROPERTIES
        VERSION ${CALAMARES_VERSION_SHORT}
        SOVERSION ${CALAMARES_SOVERSION}
        CXX_VISIBILITY_PRESET hidden
)
target_link_libraries(calamares LINK_PUBLIC yamlcpp::yamlcpp ${qtname}::Core ${qtname}::Network)
target_link_libraries(calamares LINK_PUBLIC ${kfname}::CoreAddons)

target_compile_definitions(calamares PRIVATE DLLEXPORT_PRO)
target_include_directories(calamares PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(calamares PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include/libcalamares>
)
target_include_directories(calamares PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

### OPTIONAL Automount support (requires dbus)
#
#
if(TARGET ${qtname}::DBus)
    target_sources(calamares PRIVATE partition/AutoMount.cpp)
    target_link_libraries(calamares PRIVATE ${qtname}::DBus)
endif()

### OPTIONAL Python support
#
#
if(WITH_PYTHON)
    if(WITH_PYBIND11)
        target_sources(calamares PRIVATE python/Api.cpp python/PythonJob.cpp)
        target_link_libraries(calamares PRIVATE Python::Python pybind11::headers)
    else()
        target_sources(calamares PRIVATE PythonHelper.cpp PythonJob.cpp PythonJobApi.cpp)
        target_link_libraries(calamares PRIVATE Python::Python Boost::python)
    endif()
endif()

### OPTIONAL GeoIP XML support
#
#
find_package(${qtname} ${QT_VERSION} COMPONENTS Xml)
if(TARGET ${qtname}::Xml)
    target_sources(calamares PRIVATE geoip/GeoIPXML.cpp)
    target_link_libraries(calamares PRIVATE ${qtname}::Network ${qtname}::Xml)
endif()

### OPTIONAL KPMcore support
#
#
include(KPMcoreHelper)

if(KPMcore_FOUND)
    target_sources(
        calamares
        PRIVATE
            partition/FileSystem.cpp
            partition/KPMManager.cpp
            partition/PartitionIterator.cpp
            partition/PartitionQuery.cpp
    )
endif()
# Always, since this also handles the no-KPMcore case; we don't
# call it calamares::kpmcore because that name exists only
# when KPMcore is actually found.
target_link_libraries(calamares PRIVATE calapmcore)

### LIBRARY
#
#
calamares_automoc( calamares )
add_library(Calamares::calamares ALIAS calamares)

### Installation
#
#
install(
    TARGETS calamares
    EXPORT Calamares
    RUNTIME
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# Make symlink lib/calamares/libcalamares.so to lib/libcalamares.so.VERSION so
# lib/calamares can be used as module path for the Python interpreter.
install(
    CODE
        "
    file( MAKE_DIRECTORY \"\$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_LIBDIR}/calamares\" )
    execute_process( COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ../libcalamares.so.${CALAMARES_VERSION_SHORT} libcalamares.so WORKING_DIRECTORY \"\$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_LIBDIR}/calamares\" )
"
)

# Install header files
file(GLOB rootHeaders "*.h")
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/CalamaresConfig.h ${CMAKE_CURRENT_BINARY_DIR}/CalamaresVersion.h ${rootHeaders}
    DESTINATION include/libcalamares
)
# Install each subdir-worth of header files
foreach(subdir geoip locale modulesystem network partition utils compat packages)
    file(GLOB subdir_headers "${subdir}/*.h")
    install(FILES ${subdir_headers} DESTINATION include/libcalamares/${subdir})
endforeach()

### TRANSLATION TESTING
#

calamares_qrc_translations( localetest OUTPUT_VARIABLE localetest_qrc SUBDIRECTORY testdata LANGUAGES nl )

### TESTING
#
#
calamares_add_test(libcalamarestest SOURCES Tests.cpp)

calamares_add_test(libcalamaresgeoiptest SOURCES geoip/GeoIPTests.cpp ${_geoip_src})

calamares_add_test(libcalamareslocaletest SOURCES locale/Tests.cpp ${localetest_qrc})

calamares_add_test(libcalamaresmodulesystemtest SOURCES modulesystem/Tests.cpp)

calamares_add_test(libcalamaresnetworktest SOURCES network/Tests.cpp)

calamares_add_test(libcalamarespackagestest SOURCES packages/Tests.cpp)

if(KPMcore_FOUND)
    calamares_add_test(
        libcalamarespartitiontest
        SOURCES partition/Global.cpp partition/Tests.cpp
        LIBRARIES calamares::kpmcore
    )
    calamares_add_test(libcalamarespartitionkpmtest SOURCES partition/KPMTests.cpp LIBRARIES calamares::kpmcore)
endif()

calamares_add_test(libcalamaresutilstest SOURCES utils/Tests.cpp utils/Permissions.cpp utils/Runner.cpp)

calamares_add_test(libcalamaresutilspathstest SOURCES utils/TestPaths.cpp)

# This is not an actual test, it's a test / demo application
# for experimenting with GeoIP.
add_executable(test_geoip geoip/test_geoip.cpp ${_geoip_src})
target_link_libraries(test_geoip Calamares::calamares ${qtname}::Network yamlcpp::yamlcpp)
calamares_automoc( test_geoip )

if(TARGET ${qtname}::DBus)
    add_executable(test_automount partition/calautomount.cpp)
    target_link_libraries(test_automount Calamares::calamares ${qtname}::DBus)
endif()

=== src/modules/preservefiles/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
calamares_add_plugin(preservefiles
    TYPE job
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        Item.cpp
        PreserveFiles.cpp
    # REQUIRES mount  # To set the rootMountPoint
    SHARED_LIB
    EMERGENCY
)

calamares_add_test(preservefilestest SOURCES Item.cpp Tests.cpp)

=== src/modules/partition/tests/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
find_package(${qtname} COMPONENTS Gui REQUIRED)

set(PartitionModule_SOURCE_DIR ..)

include_directories(
    ${${qtname}Gui_INCLUDE_DIRS}
    ${PartitionModule_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(PartitionModule_basic_SRC
    ${PartitionModule_SOURCE_DIR}/core/OsproberEntry.cpp
    ${PartitionModule_SOURCE_DIR}/core/PartitionInfo.cpp
    ${PartitionModule_SOURCE_DIR}/core/PartUtils.cpp
 )

calamares_add_test(
    partitionjobtest
    SOURCES
        PartitionJobTests.cpp
        ${PartitionModule_SOURCE_DIR}/core/KPMHelpers.cpp
        ${PartitionModule_SOURCE_DIR}/core/PartitionInfo.cpp
        ${PartitionModule_SOURCE_DIR}/jobs/CreatePartitionJob.cpp
        ${PartitionModule_SOURCE_DIR}/jobs/CreatePartitionTableJob.cpp
        ${PartitionModule_SOURCE_DIR}/jobs/DeletePartitionJob.cpp
        ${PartitionModule_SOURCE_DIR}/jobs/PartitionJob.cpp
        ${PartitionModule_SOURCE_DIR}/jobs/ResizePartitionJob.cpp
    LIBRARIES calamares::kpmcore
    DEFINITIONS ${_partition_defs}
)

calamares_add_test(
    partitionclearmountsjobtest
    SOURCES ${PartitionModule_SOURCE_DIR}/jobs/ClearMountsJob.cpp ClearMountsJobTests.cpp
    LIBRARIES calamares::kpmcore
    DEFINITIONS ${_partition_defs}
)

calamares_add_test(
    partitioncreatelayoutstest
    SOURCES
        CreateLayoutsTests.cpp
        ${PartitionModule_basic_SRC}
        ${PartitionModule_SOURCE_DIR}/core/KPMHelpers.cpp
        ${PartitionModule_SOURCE_DIR}/core/PartitionLayout.cpp
        ${PartitionModule_SOURCE_DIR}/core/DeviceModel.cpp
    LIBRARIES calamares::kpmcore Calamares::calamaresui
    DEFINITIONS ${_partition_defs}
)

calamares_add_test(
    partitionautomounttest
    SOURCES ${PartitionModule_SOURCE_DIR}/jobs/AutoMountManagementJob.cpp AutoMountTests.cpp
    DEFINITIONS ${_partition_defs}
)

calamares_add_test(
    partitiondevicestest
    SOURCES DevicesTests.cpp ${PartitionModule_SOURCE_DIR}/core/DeviceList.cpp
    LIBRARIES calamares::kpmcore
    DEFINITIONS ${_partition_defs}
)

calamares_add_test(
    partitionconfigtest
    SOURCES
        ConfigTests.cpp
        ${PartitionModule_basic_SRC}
        ${PartitionModule_SOURCE_DIR}/core/DeviceModel.cpp
        ${PartitionModule_SOURCE_DIR}/Config.cpp
    LIBRARIES calamares::kpmcore Calamares::calamaresui
    DEFINITIONS
        ${_partition_defs}
)

=== debian/changelog ===
calamares (3.3.12-1.1siduction1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuiild

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 21 Dec 2024 23:06:43 +0100

calamares (3.3.12-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 30 Nov 2024 18:38:44 +0200

calamares (3.3.11-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Thu, 07 Nov 2024 14:56:15 +0200

calamares (3.3.9-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Thu, 15 Aug 2024 17:26:32 +0200

=== debian/control ===
Source: calamares
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               cryptsetup <!nocheck>,
               debhelper-compat (= 13),
               extra-cmake-modules,
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf6coreaddons-dev,
               libkf6i18n-dev,
               libkf6crash-dev,
               libkf6kio-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5plasma-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkpmcore-dev,
               libparted-dev,
               libpolkit-qt6-1-dev,
               libpwquality-dev,
               libboost-python-dev,
               qt6-svg-dev,
               libyaml-cpp-dev,
               os-prober <!nocheck>,
               pkg-config,
               pkg-kde-tools,
               pkexec,
               python3:any,
               qml-module-qtquick-layouts,
               qml-module-qtquick-privatewidgets,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools,
               qt6-webengine-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/calamares/calamares
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares.git

Package: calamares
Architecture: linux-any
Depends: os-prober, ${misc:Depends}, ${shlibs:Depends}
Recommends: btrfs-progs, squashfs-tools
Description: distribution-independent installer framework
 Calamares is a distribution-independent installer framework.
 .
 It provides a graphical installer that can be used with nearly
 any distribution. This package is suitable for live media on
 Debian-based systems, and won't be of any particular use on
 an already installed system.
 .
 You will likely want to provide your own config files to match
 your distribution, reading the Calamares documentation will guide
 you through that process.

=== debian/rules ===
#!/usr/bin/make -f

# Hardening options, see: https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Help makes build paths reproducible
#export DEB_BUILD_MAINT_OPTIONS=buildinfo=+path

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DKDE_INSTALL_USE_QT_SYS_PATHS=ON -DINSTALL_COMPLETION=ON -DWITH_QT6=ON

# Some test don't work well, we don't need to run them at package build time.
override_dh_auto_test:

## calamares 3.3.12-3tux1+24.04

=== debian/changelog ===
calamares (1:3.3.12-3tux1+24.04-2) noble; urgency=medium

  * Rebuild against new Qt/Plasma

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 11 Nov 2025 11:26:03 +0100

calamares (1:3.3.12-3tux1+24.04-1) noble-updates; urgency=medium

  * fix typo in translation

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 07 Oct 2025 14:28:26 +0200

calamares (1:3.3.12-2tux1+24.04-1) noble; urgency=medium

  * fix typo in translation

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 22 Sep 2025 12:10:48 +0200

calamares (1:3.3.12-1tux1+24.04-1) noble; urgency=medium

  * New upstream version
    https://github.com/calamares/calamares/releases/tag/v3.3.12

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Mon, 09 Dec 2024 10:01:02 +0100

calamares (1:3.3.10-1tux1+24.04-2) noble; urgency=medium

  * Rebuild against our qt6-declarative
  * no changes

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 22 Nov 2024 14:53:54 +0100

calamares (1:3.3.10-1tux1+24.04-1) noble; urgency=medium

  * New upstream version.
    https://calamares.io/calamares-3.3.10-is-out/

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Wed, 23 Oct 2024 10:16:13 +0200

calamares (1:3.3.8-1tux1+24.04+nmu2) noble; urgency=medium

  * test

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Fri, 06 Sep 2024 14:26:53 +0200

calamares (1:3.3.8-1tux1+24.04+nmu1) noble; urgency=medium

  * rebuild against actual qt

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Tue, 03 Sep 2024 15:00:06 +0200

calamares (1:3.3.8-1tux1+24.04) noble; urgency=medium

  * New upstream version.

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Thu, 11 Jul 2024 16:50:47 +0200

calamares (3.3.8-0xneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Jul 2024 04:13:12 +0000

calamares (3.3.8-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 05 Jul 2024 14:10:48 +1000

calamares (3.3.7-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Jun 2024 17:04:54 +1000

calamares (3.3.5-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 04 Mar 2024 09:34:42 +1000

calamares (3.3.4-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 01 Mar 2024 10:58:03 +1000

calamares (3.3.3-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 24 Feb 2024 13:19:44 +1000

calamares (3.3.0-2neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Mon, 18 Dec 2023 14:01:04 +1000

calamares (3.2.62-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 28 Apr 2023 20:38:34 +1000

calamares (3.2.61-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 07 Sep 2021 11:52:09 +0200

## calamares 3.3.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(CALAMARES_VERSION 3.3.12)
+set(CALAMARES_VERSION 3.3.13)
 set(CALAMARES_RELEASE_MODE ON) # Set to ON during a release
 
 if(CMAKE_SCRIPT_MODE_FILE)
@@ -239,6 +239,9 @@
         "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
         "K_EXPORT_PLASMA_RUNNER"
 )
+if(POLICY CMP0171)
+    cmake_policy(SET CMP0177 NEW)
+endif()
 
 # CMake Modules
 include(CMakePackageConfigHelpers)
@@ -287,5 +290,3 @@
         CLANG_WARNINGS
         -Weverything
         -Wno-c++98-compat
-        -Wno-c++98-compat-pedantic
-        -Wno-padded

=== src/modules/netinstall/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
calamares_add_plugin(netinstall
    TYPE viewmodule
    EXPORT_MACRO PLUGINDLLEXPORT_PRO
    SOURCES
        Config.cpp
        groupstreeview.cpp
        LoaderQueue.cpp
        NetInstallViewStep.cpp
        NetInstallPage.cpp
        PackageTreeItem.cpp
        PackageModel.cpp
    UI
        page_netinst.ui
    LINK_PRIVATE_LIBRARIES
        ${qtname}::Network
    SHARED_LIB
)

if(TARGET ${kfname}::CoreAddons)
    calamares_add_test(
        netinstalltest
        SOURCES Tests.cpp Config.cpp LoaderQueue.cpp PackageTreeItem.cpp PackageModel.cpp
        LIBRARIES ${qtname}::Gui ${qtname}::Network ${kfname}::CoreAddons
    )
endif()

=== debian/changelog ===
calamares (3.3.13-0ubuntu5) plucky; urgency=medium

  * Add ${qml6:Depends} to ensure we don't miss any QML 6 depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 00:03:24 -0600

calamares (3.3.13-0ubuntu4) plucky; urgency=medium

  * Fix some of the confusion around the weak password checkbox and its
    visibility.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 17:50:18 -0600

calamares (3.3.13-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:36 +0100

calamares (3.3.13-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:44:18 +0100

calamares (3.3.13-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jan 2025 18:17:37 -0600

calamares (3.3.12-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * [dracut] Add an options setting for additional Dracut parameters.
  * [unmount] Properly close LUKS partitions after installation is complete.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Nov 2024 09:15:31 -0600

calamares (3.3.11-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Nov 2024 20:34:29 -0600

=== debian/control ===
Source: calamares
Section: utils
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               cryptsetup <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               gettext,
               libappstreamqt-dev,
               libatasmart-dev,
               libboost-python-dev,
               libicu-dev,
               extra-cmake-modules,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6kio-dev,
               libkf6package-dev,
               libkf6parts-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkpmcore-dev (>= 24.08),
               libparted-dev,
               libplasma-dev,
               libpolkit-qt6-1-dev,
               libpwquality-dev,
               libyaml-cpp-dev,
               os-prober,
               pkgconf,
               pkg-kde-tools,
               pkexec,
               python3-all-dev,
               python3-yaml,
               python3-jsonschema,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev [amd64 arm64 armhf]
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/calamares/calamares
Vcs-Browser: https://git.lubuntu.me/Lubuntu/calamares-packaging/
Vcs-Git: https://git.lubuntu.me/Lubuntu/calamares-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git

Package: calamares
Architecture: linux-any
Depends: os-prober, util-linux-extra, ${qml6:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: btrfs-progs, squashfs-tools
Description: distribution-independent installer framework
 Calamares is a distribution-independent installer framework.
 .
 It provides a graphical installer that can be used with nearly
 any distribution. This package is suitable for live media on
 Debian-based systems, and won't be of any particular use on
 an already installed system.
 .
 You will likely want to provide your own config files to match
 your distribution, reading the Calamares documentation will guide
 you through that process.
